ImageLoader
InnerClasses
serialVersionUID
J
ConstantValue
IMAGE_LOAD_DELAY
mImageLoader
mLoaded
Z
mScaleImage
uselessComponent
Ljava/awt/Component;
<init>
Code
LineNumberTable
LocalVariableTable
Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow;
(Ljava/awt/Graphics;)V
Ljava/awt/Rectangle;
Ljava/awt/Graphics;
()V
()I
I
Ljava/awt/FontMetrics;
Ljava/util/ResourceBundle;
Ljava/lang/String;
Ljava/lang/InterruptedException;
Ljava/awt/Dimension;
x
y
Ljava/awt/MediaTracker;
Ljava/awt/Image;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow;Z)Z
Synthetic
SourceFile
com/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow$1

scale-sleep-screen
SS Draw Window
Window Blanked
Image needs loading
Image Loaded
SS refresh
Screen Drawn
loadImage() 
w > h, returning -1
java/lang/StringBuffer
Image Size=
 x 
java/awt/MediaTracker
com.amazon.ebook.framework.resources.UIResources
screensaver.instruction.font
java/awt/Font
com.amazon.ebook.framework.resources.SystemMessages
screen.wake.msg
java/lang/InterruptedException
Image failed to load and display, try next image
SS new image cached
loadImage() IMAGE was NULL 
com/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow
com/amazon/ebook/framework/impl/booklet/screensaver/SSBaseWindow
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow;)V
com/amazon/ebook/framework/impl/Framework
(Ljava/lang/String;Z)Z
LOG
()Z
(Ljava/lang/String;)V
java/awt/EventQueue
invokeLater
(Ljava/lang/Runnable;)V
java/awt/Graphics
getClipBounds
()Ljava/awt/Rectangle;
(Ljava/awt/Rectangle;)V
(Z)V
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow;Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow$1;)V
java/awt/Rectangle
width
height
()Ljava/awt/Image;
getGraphics
()Ljava/awt/Graphics;
setClip
(IIII)V
(Ljava/awt/Image;)Ljava/awt/Dimension;
append
(Ljava/lang/String;)Ljava/lang/StringBuffer;
java/awt/Dimension
(I)Ljava/lang/StringBuffer;
toString
()Ljava/lang/String;
java/awt/Color
white
Ljava/awt/Color;
setColor
(Ljava/awt/Color;)V
fillRect
(Ljava/awt/Component;)V
addImage
(Ljava/awt/Image;I)V
waitForID
(I)V
isErrorAny
(Ljava/awt/Image;IIZ)Ljava/awt/Image;
drawImage
(Ljava/awt/Image;IIIILjava/awt/image/ImageObserver;)Z
java/util/ResourceBundle
getBundle
(Ljava/lang/String;)Ljava/util/ResourceBundle;
getObject
(Ljava/lang/String;)Ljava/lang/Object;
setFont
(Ljava/awt/Font;)V
getFontMetrics
()Ljava/awt/FontMetrics;
BLACK
java/awt/FontMetrics
getHeight
WHITE
getString
(Ljava/lang/String;)Ljava/lang/String;
stringWidth
(Ljava/lang/String;)I
getDescent
drawString
(Ljava/lang/String;II)V
removeImage
Lcom/amazon/ebook/util/e/d;
a
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/ScreenSaverWindow;Lcom/amazon/ebook/util/e/d;)Lcom/amazon/ebook/util/e/d;
b
Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;
B
Lcom/amazon/ebook/util/b/d;
(Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;)V
Lcom/amazon/ebook/util/c/e;
bec
(Lcom/amazon/ebook/util/b/i;[Ljava/lang/String;Ljava/lang/String;Ljava/lang/Throwable;)V
Q
Lcom/amazon/ebook/util/b/i;
g
F
A
()Lcom/amazon/ebook/framework/impl/booklet/screensaver/j;
C
()Lcom/amazon/ebook/util/kgt/a;
()Lcom/amazon/ebook/util/kgt/b;
(Lcom/amazon/ebook/util/e/d;J)V
()Lcom/amazon/ebook/util/e/c;
(Ljava/lang/String;Lcom/amazon/ebook/util/b/e;)V
Lcom/amazon/ebook/util/b/e;
c
()Lcom/amazon/ebook/util/c/e;
com/amazon/ebook/framework/gui/c/b
com/amazon/ebook/framework/impl/booklet/screensaver/j
com/amazon/ebook/util/kgt/a
com/amazon/ebook/util/kgt/b
com/amazon/ebook/util/e/c
com/amazon/ebook/util/b/e
com/amazon/ebook/util/b/h
com/amazon/ebook/util/c/e
com/amazon/ebook/framework/impl/booklet/screensaver/d
com/amazon/ebook/framework/impl/booklet/screensaver/e
com/amazon/ebook/util/b/d
